> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Voice

> This API accepts audio files as input, transcribes the spoken content into text using advanced speech-to-text processing, and converts the transcribed data into a structured FHIR-compliant JSON format.

The generated FHIR JSON can be used for seamless integration with healthcare applications, ensuring compliance with healthcare data standards.

<Warning>This API is deprecated. Please use the [EkaScribe v2 APIs](/api-reference/health-ai/ekascribe/ekascribe-v2/overview) or the [SDKs](/api-reference/health-ai/ekascribe/quick-start) instead.</Warning>


## OpenAPI

````yaml POST /voice/upload?mode={mode}&txnid={txnid}
openapi: 3.0.1
info:
  title: voice-batch
  version: '2024-12-01T12:09:09Z'
servers:
  - url: https://api.eka.care
    description: Production server
  - url: https://api.dev.eka.care
    description: Development server
security: []
paths:
  /voice/upload?mode={mode}&txnid={txnid}:
    post:
      description: >-
        This API accepts audio files as input, transcribes the spoken content
        into text using advanced speech-to-text processing, and converts the
        transcribed data into a structured FHIR-compliant JSON format.


        The generated FHIR JSON can be used for seamless integration with
        healthcare applications, ensuring compliance with healthcare data
        standards.
      parameters:
        - name: txnid
          in: path
          required: true
          schema:
            type: string
        - name: mode
          in: path
          required: true
          schema:
            type: string
            enum:
              - dictation
              - consultation
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: string
              format: binary
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Success'
        '401':
          description: Unauthorized. Invalid or missing authentication.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauthorized'
      deprecated: true
      security:
        - auth: []
components:
  schemas:
    Success:
      title: Successful reponse
      type: object
      properties:
        message:
          type: string
        filename:
          type: string
      example:
        message: Upload successful!
        filename: voice-2rx.m4a
    Unauthorized:
      title: Unauthorized. Invalid or missing authentication.
      type: object
      properties:
        message:
          type: string
          example: Unauthorized
  securitySchemes:
    auth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````